# CbcHeuristicProximity Class Reference

`#include <CbcHeuristicLocal.hpp>`

Inheritance diagram for CbcHeuristicProximity:
[legend]
Collaboration diagram for CbcHeuristicProximity:
[legend]

List of all members.

## Public Member Functions
| CbcHeuristicProximity ()
| CbcHeuristicProximity (CbcModel &model)
| CbcHeuristicProximity (const CbcHeuristicProximity &)
| ~CbcHeuristicProximity ()
virtual CbcHeuristic * | clone () const
| Clone.
CbcHeuristicProximity & | operator= (const CbcHeuristicProximity &rhs)
| Assignment operator.
virtual void | generateCpp (FILE *fp)
| Create C++ lines to get to current state.
virtual void | resetModel (CbcModel *model)
| Resets stuff if model changes.
virtual void | setModel (CbcModel *model)
| update model (This is needed if cliques update matrix etc)
virtual int | solution (double &objectiveValue, double *newSolution)
| returns 0 if no solution, 1 if valid solution.
int * | used () const
| Used array so we can set.
## Protected Attributes
CbcHeuristicFPump * | feasibilityPump_
int | numberSolutions_
int * | used_
| Whether a variable has been in a solution (also when).

## Detailed Description

Definition at line 90 of file CbcHeuristicLocal.hpp.

## Constructor & Destructor Documentation

CbcHeuristicProximity::CbcHeuristicProximity | ( |  | ) |

CbcHeuristicProximity::CbcHeuristicProximity | ( | CbcModel & | model | ) |

CbcHeuristicProximity::CbcHeuristicProximity | ( | const CbcHeuristicProximity & |  | ) |

CbcHeuristicProximity::~CbcHeuristicProximity | ( |  | ) |

## Member Function Documentation

virtual CbcHeuristic* CbcHeuristicProximity::clone | ( |  | ) | const`[virtual]`

Clone.

Implements CbcHeuristic.

CbcHeuristicProximity& CbcHeuristicProximity::operator= | ( | const CbcHeuristicProximity & | rhs | ) |

Assignment operator.

Reimplemented from CbcHeuristic.

virtual void CbcHeuristicProximity::generateCpp | ( | FILE * | fp | ) | `[virtual]`

Create C++ lines to get to current state.

Reimplemented from CbcHeuristic.

virtual void CbcHeuristicProximity::resetModel | ( | CbcModel * | model | ) | `[virtual]`

Resets stuff if model changes.

Implements CbcHeuristic.

virtual void CbcHeuristicProximity::setModel | ( | CbcModel * | model | ) | `[virtual]`

update model (This is needed if cliques update matrix etc)

Reimplemented from CbcHeuristic.

virtual int CbcHeuristicProximity::solution | ( | double & | objectiveValue,
|  | double * | newSolution |
| ) |  |  | `[virtual]`

returns 0 if no solution, 1 if valid solution.

Sets solution values if good, sets objective value (only if good)

Implements CbcHeuristic.

int* CbcHeuristicProximity::used | ( |  | ) | const`[inline]`

Used array so we can set.

Definition at line 129 of file CbcHeuristicLocal.hpp.

## Member Data Documentation

CbcHeuristicFPump* CbcHeuristicProximity::feasibilityPump_`[protected]`

Definition at line 136 of file CbcHeuristicLocal.hpp.

int CbcHeuristicProximity::numberSolutions_`[protected]`

Definition at line 138 of file CbcHeuristicLocal.hpp.

int* CbcHeuristicProximity::used_`[protected]`

Whether a variable has been in a solution (also when).

Definition at line 140 of file CbcHeuristicLocal.hpp.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/Cbc-2.8.1/Cbc/src/CbcHeuristicLocal.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines